Subject: bug#412: WWN Names Change on Upgrade to Beowulf

From: Chris Dos <[email-masked]>
Date: Sat, 21 Mar 2020 11:14:11 -0600

Package: eudev
Version: 3.2.7-6

I've upgraded two systems from Ascii to Beowulf that have ZFS pools.  It seems
that a package is changing the /dev/disk/by-id/wwn-0x500* names to something
different.  So these devices change during the upgrade and any devices used by
ZFS disappear and ZFS suspends the pool.  I have quite a few more servers to
upgrade.

I thought the eudev package would be the package that would cause this, so I
just upgraded eudev by itself and everything was fine. So I proceeded to full
dist-upgrade and the names changed again and the zfs suspended the pool.  This
could be a catastrophic problem for some users.

    Chris